
EMULATOR    ?= NO

CONFIGMAKE = ../../Config.make
-include $(CONFIGMAKE)

LD	= $(LINK)
AR	= $(LIBRARIAN)
MAKE	?= gmake
CP	?= cp -pf
RM	?= rm -rf

ifeq ($(EMULATOR), NO)
	CROSS_BUILD ?= 1
else
	CROSS_BUILD ?= 0
endif
SYSROOT ?= /usr/local

TARGET_SDIR = $(SYSROOT)/sbin
TARGET_EDIR = $(SYSROOT)/etc
MODULE		= dhcpcd
MODULE_OBJ	= $(MODULE).out
MODULE_DEP	= $(MODULE).dpd

SYSROOTFILE = SYSROOT
OLDSYSROOT  :=$(shell [ -f $(SYSROOTFILE) ] && cat $(SYSROOTFILE))

.PHONY: all install
all: Makefile $(MODULE_OBJ) install

$(MODULE_OBJ): Makefile $(MODULE)
	$(CP) $(MODULE) $(MODULE_OBJ)

ifneq ($(OLDSYSROOT),$(SYSROOT))
.PHONY: Makefile
endif
ifeq ($(CROSS_BUILD),1)
Makefile:
	/bin/sh ./configure --prefix=$(TARGET_ROOT) --enable-ipv6 --target=arm-panasonic-linux-gnu CC=$(CC) LD=$(LD) RANLIB=$(RANLIB) AR=$(AR) AS=$(AS) STRIP=$(STRIP) CFLAGS='-O2 -Wall -fno-strict-aliasing $(DEBUG_OPT)' LDFLAGS=--static --host=arm-sharp-linux --build=i386-pc-linux $(DEBUG_OPT2)
	echo "$(SYSROOT)" > $(SYSROOTFILE)
else
Makefile:
	/bin/sh ./configure --prefix=$(TARGET_ROOT) --enable-ipv6 CC=$(CC) LD=$(LD) RANLIB=$(RANLIB) AR=$(AR) AS=$(AS) STRIP=$(STRIP) CFLAGS='-O2 -Wall -fno-strict-aliasing $(DEBUG_OPT)' LDFLAGS=--static $(DEBUG_OPT2)
endif

$(MODULE):
	$(MAKE) -f Makefile

install: $(MODULE_OBJ)
	sudo $(CP) $(MODULE_OBJ) $(TARGET_SDIR)/dhcp4c.out

.PHONY: clean cleanall uninstall
clean:
	if [ -f Makefile ] ; then \
		touch Makefile; \
		$(MAKE) -f Makefile clean; \
	fi
	$(RM) $(MODULE_OBJ)

cleanall: clean
	sudo $(RM) $(TARGET_SDIR)/$(MODULE_OBJ)
	$(RM) $(SYSROOTFILE)
	find . -name '*.Po'        -exec $(RM) {} \;
	find . -name config.log    -exec $(RM) {} \;
	find . -name config.status -exec $(RM) {} \;
	find . -name Makefile      -exec $(RM) {} \;

uninstall:
	sudo $(RM) $(TARGET_SDIR)/$(MODULE_OBJ)

